Bug 112068 - EDITING: Undo won't work as expected after (trying to) insert a nested table (and undoing it)
Summary: EDITING: Undo won't work as expected after (trying to) insert a nested table ...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
5.0 all versions
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: bibisected, bisected, regression
Depends on:
Blocks: ImpressDraw-Tables Undo-Redo
  Show dependency treegraph
 
Reported: 2017-08-28 14:53 UTC by Telesto
Modified: 2019-02-02 03:43 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Telesto 2017-08-28 14:53:52 UTC
Description:
Undo won't work as expected after (trying to) insert a nested table (and undoing it)

Steps to Reproduce:
1. Open Impress
2. Cancel the table manager
3. Insert a 2x2 table 
4. Enter cell A1
5. Insert again 2x2 table
6. Press CTRL+Z multiple times -> the first table remains

Actual Results:  
Not everything us undone

Expected Results:
Undo should work


Reproducible: Always

User Profile Reset: No

Additional Info:
Found in:
Version: 6.0.0.0.alpha0+
Build ID: 02c53f744ed23e2149fc7c83d67cb7d8aa5eb0ed
CPU threads: 4; OS: Windows 6.19; UI render: default; 
TinderBox: Win-x86@42, Branch:master, Time: 2017-08-24_05:48:55
Locale: nl-NL (nl_NL); Calc: CL


User-Agent: Mozilla/5.0 (Windows NT 6.2; WOW64; rv:52.0) Gecko/20100101 Firefox/52.0
Comment 1 raal 2017-08-28 15:38:29 UTC
I can confirm with Version: 6.0.0.0.alpha0+
Build ID: 0e35b7738d9f276c0566df0f2cc0f1eed7900d6c
CPU threads: 4; OS: Linux 4.4; UI render: default; VCL: gtk2; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2017-08-22_01:24:19
Comment 2 raal 2017-08-28 15:59:26 UTC
This seems to have begun at the below commit.
Adding Cc: to Matúš Kukan ; Could you possibly take a look at this one?
Thanks

a275c9a37a27a89bfe5351b7dd60d2773be14561 is the first bad commit
commit a275c9a37a27a89bfe5351b7dd60d2773be14561
Author: Matthew Francis <mjay.francis@gmail.com>
Date:   Sat Mar 14 19:44:54 2015 +0800

    source-hash-197f2016e3164702db168e11f98f42042092e68e
    
    commit 197f2016e3164702db168e11f98f42042092e68e
    Author:     Matúš Kukan <matus.kukan@collabora.com>
    AuthorDate: Thu May 22 08:09:14 2014 +0200
    Commit:     Matúš Kukan <matus.kukan@collabora.com>
    CommitDate: Thu May 22 08:10:19 2014 +0200
    
        fdo#77313: coinmp: error: format not a string literal and no format arguments
    
        Change-Id: I044f12c4b7b28963d6d491d5e5850ddb59a564c4
Comment 3 QA Administrators 2019-02-02 03:43:56 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug